Bug 1820332 - CVE-2020-6096 glibc: signed comparison vulnerability in the ARMv7 memcpy function [fedora-all]
Summary: CVE-2020-6096 glibc: signed comparison vulnerability in the ARMv7 memcpy func...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 31
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-6096
TreeView+ depends on / blocked
 
Reported: 2020-04-02 18:38 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-10-05 08:30 UTC (History)
11 users (show)

Fixed In Version: glibc-2.30-13.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-02 01:09:15 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Sourceware 25620 0 P2 RESOLVED Signed comparison vulnerability in the ARMv7 memcpy() (CVE-2020-6096) 2020-07-14 13:58:47 UTC

Description Guilherme de Almeida Suckevicz 2020-04-02 18:38:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2020-04-02 18:38:04 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1820331,1820332

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Florian Weimer 2020-04-07 13:14:26 UTC
This is blocked on acceptance of a fix upstream.

Comment 3 Carlos O'Donell 2020-04-21 14:36:47 UTC
This is still waiting on upstream bug fix.

However, we now have a proposed fix that is being discussed upstream:
https://sourceware.org/pipermail/libc-alpha/2020-April/112671.html

Comment 4 Carlos O'Donell 2020-04-21 14:41:37 UTC
v2 for review:
https://sourceware.org/pipermail/libc-alpha/2020-April/112747.html

Comment 8 Carlos O'Donell 2020-05-12 13:11:56 UTC
Updated patch from Huawei has been posted:

https://patchwork.sourceware.org/project/glibc/patch/ac494a6febda4430857df1fc31f64e19@huawei.com/

Comment 12 Florian Weimer 2020-07-14 14:00:32 UTC
The actual fixes are:

commit beea361050728138b82c57dda0c4810402d342b9
Author: Alexander Anisimov <a.anisimov@omprussia.ru>
Date:   Wed Jul 8 14:18:31 2020 +0200

    arm: CVE-2020-6096: Fix multiarch memcpy for negative length [BZ #25620]
    
    Unsigned branch instructions could be used for r2 to fix the wrong
    behavior when a negative length is passed to memcpy.
    This commit fixes the armv7 version.

commit 79a4fa341b8a89cb03f84564fd72abaa1a2db394
Author: Evgeny Eremin <e.eremin@omprussia.ru>
Date:   Wed Jul 8 14:18:19 2020 +0200

    arm: CVE-2020-6096: fix memcpy and memmove for negative length [BZ #25620]
    
    Unsigned branch instructions could be used for r2 to fix the wrong
    behavior when a negative length is passed to memcpy and memmove.
    This commit fixes the generic arm implementation of memcpy amd memmove.

Plus the NEWS file update (still pending upstream).

Backporting the new test is more complicated because of its dependency on support/ directory changes, so this should be considered optional.

Comment 13 Fedora Update System 2020-07-17 21:12:54 UTC
FEDORA-2020-4e92a61688 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4e92a61688

Comment 14 Fedora Update System 2020-07-18 01:04:14 UTC
FEDORA-2020-4e92a61688 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4e92a61688`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4e92a61688

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-08-02 01:09:15 UTC
FEDORA-2020-4e92a61688 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.